<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:11 CET 2009 -->
<TITLE>
XmlNode
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.xml.config.XmlNode interface">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="XmlNode";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/XmlNode.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/xml/config/XmlPrint.html" title="class in ch.javasoft.xml.config"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/xml/config/XmlNode.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="XmlNode.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.xml.config</FONT>
<BR>
Interface XmlNode</H2>
<DL>
<DT><B>All Known Implementing Classes:</B> <DD><A HREF="../../../../ch/javasoft/metabolic/generate/ConfiguredGenerator.XmlAttributes.html" title="enum in ch.javasoft.metabolic.generate">ConfiguredGenerator.XmlAttributes</A>, <A HREF="../../../../ch/javasoft/metabolic/generate/ConfiguredGenerator.XmlElements.html" title="enum in ch.javasoft.metabolic.generate">ConfiguredGenerator.XmlElements</A>, <A HREF="../../../../ch/javasoft/metabolic/parse/ConfiguredParser.XmlAttributes.html" title="enum in ch.javasoft.metabolic.parse">ConfiguredParser.XmlAttributes</A>, <A HREF="../../../../ch/javasoft/metabolic/parse/ConfiguredParser.XmlElements.html" title="enum in ch.javasoft.metabolic.parse">ConfiguredParser.XmlElements</A>, <A HREF="../../../../ch/javasoft/xml/config/ConstConfigParser.XmlAttribute.html" title="enum in ch.javasoft.xml.config">ConstConfigParser.XmlAttribute</A>, <A HREF="../../../../ch/javasoft/xml/config/ConstConfigParser.XmlElement.html" title="enum in ch.javasoft.xml.config">ConstConfigParser.XmlElement</A>, <A HREF="../../../../ch/javasoft/metabolic/convert/Convert.XmlAttribute.html" title="enum in ch.javasoft.metabolic.convert">Convert.XmlAttribute</A>, <A HREF="../../../../ch/javasoft/xml/config/FileConfigParser.XmlAttribute.html" title="enum in ch.javasoft.xml.config">FileConfigParser.XmlAttribute</A>, <A HREF="../../../../ch/javasoft/xml/config/FileConfigParser.XmlElement.html" title="enum in ch.javasoft.xml.config">FileConfigParser.XmlElement</A>, <A HREF="../../../../ch/javasoft/polco/parse/InputStreamParserFactory.XmlElement.html" title="enum in ch.javasoft.polco.parse">InputStreamParserFactory.XmlElement</A>, <A HREF="../../../../ch/javasoft/xml/config/StreamConfigParser.XmlAttribute.html" title="enum in ch.javasoft.xml.config">StreamConfigParser.XmlAttribute</A>, <A HREF="../../../../ch/javasoft/xml/config/StreamConfigParser.XmlElement.html" title="enum in ch.javasoft.xml.config">StreamConfigParser.XmlElement</A>, <A HREF="../../../../ch/javasoft/polco/parse/TextParserFactory.XmlAttribute.html" title="enum in ch.javasoft.polco.parse">TextParserFactory.XmlAttribute</A>, <A HREF="../../../../ch/javasoft/polco/parse/TextParserFactory.XmlElement.html" title="enum in ch.javasoft.polco.parse">TextParserFactory.XmlElement</A>, <A HREF="../../../../ch/javasoft/xml/config/URLConfigParser.XmlAttribute.html" title="enum in ch.javasoft.xml.config">URLConfigParser.XmlAttribute</A>, <A HREF="../../../../ch/javasoft/xml/config/URLConfigParser.XmlElement.html" title="enum in ch.javasoft.xml.config">URLConfigParser.XmlElement</A>, <A HREF="../../../../ch/javasoft/metabolic/efm/config/XmlAttribute.html" title="enum in ch.javasoft.metabolic.efm.config">XmlAttribute</A>, <A HREF="../../../../ch/javasoft/polco/callback/hdf5/XmlAttribute.html" title="enum in ch.javasoft.polco.callback.hdf5">XmlAttribute</A>, <A HREF="../../../../ch/javasoft/polco/config/XmlAttribute.html" title="enum in ch.javasoft.polco.config">XmlAttribute</A>, <A HREF="../../../../ch/javasoft/xml/config/XmlConfig.XmlAttribute.html" title="enum in ch.javasoft.xml.config">XmlConfig.XmlAttribute</A>, <A HREF="../../../../ch/javasoft/xml/config/XmlConfig.XmlElement.html" title="enum in ch.javasoft.xml.config">XmlConfig.XmlElement</A>, <A HREF="../../../../ch/javasoft/metabolic/efm/config/XmlElement.html" title="enum in ch.javasoft.metabolic.efm.config">XmlElement</A>, <A HREF="../../../../ch/javasoft/polco/callback/hdf5/XmlElement.html" title="enum in ch.javasoft.polco.callback.hdf5">XmlElement</A>, <A HREF="../../../../ch/javasoft/polco/config/XmlElement.html" title="enum in ch.javasoft.polco.config">XmlElement</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public interface <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlNode.html#line.41"><B>XmlNode</B></A></DL>
</PRE>

<P>
Enums or other objects might want to implement this in order to use the
 methods of <A HREF="../../../../ch/javasoft/xml/config/XmlUtil.html" title="class in ch.javasoft.xml.config"><CODE>XmlUtil</CODE></A>, where attributes and elements are specified
 with objects implementing <tt>XmlNode</tt>.
<P>

<P>
<HR>

<P>

<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlNode.html#getXmlName()">getXmlName</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The xml version of an attribute or element name.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getXmlName()"><!-- --></A><H3>
getXmlName</H3>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlNode.html#line.52"><B>getXmlName</B></A>()</PRE>
<DL>
<DD>The xml version of an attribute or element name. Constants cannot be
 java keywords, and special characters are not supported. They are
 usually encoded with underscores for enum constants. When the xml 
 name is returned, the underscores are replaced by the real characters.
 
 Samples:<br/>
 <b>enum name: </b> name, const_, log_level, sys_prop<br/>
 <b>xml name: </b> name, const, log-level, sys-prop
<P>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/XmlNode.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/xml/config/XmlPrint.html" title="class in ch.javasoft.xml.config"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/xml/config/XmlNode.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="XmlNode.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
